## spice-gtk 0.35

=== debian/changelog ===
spice-gtk (0.35-2) unstable; urgency=medium

  * Team upload.
  * d/p/0002-quic-Prevent-side-effects-calling-C-macros.patch: Fix the usage
    of byte swap macro, that should fix the FTBFS on bigendian architectures

 -- Laurent Bigonville <bigon@debian.org>  Sat, 08 Sep 2018 07:32:35 +0200

spice-gtk (0.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.35
    - Fix Integer overflows causing buffer overflows in spice-client (Closes:
      #898503 CVE-2017-12194)
  * debian/control: Update the Vcs-* fields to point to salsa
  * debian/control: Bump build-dependencies
  * Drop build-dependency against libgudev-1.0-dev, this is not needed with
    libusb-1.0-0-dev >= 1.0.16, bump libusb-1.0-0-dev version accordlingly
    (Closes: #876089)
  * Drop d/p/explicitly-enable-subdir-objects.patch, doesn't seem needed anymore
  * debian/rules: Remove --parallel and --with autoreconf, it's the default
    with debhelper 10
  * The libspice-controller library was removed upstream. Add a Breaks against
    virt-viewer (<< 7.0), which is the only user of that library. (Closes:
    #857367)
  * debian/libspice-client-glib-2.0-8.symbols: Add new exported symbols
  * debian/watch: Use https instead of plain http
  * debian/control: Drop X-Python-Version to please lintian
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * d/p/0001-Fix-flexible-array-buffer-overflow.patch: Fix possible buffer
    overflow and denial of service (CVE-2018-10873) (Closes: #906316)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 04 Sep 2018 10:46:38 +0200

spice-gtk (0.34-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop leftover Build-Depends on python-gtk2-dev (Closes: #885526)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 May 2018 20:30:26 -0400

=== debian/control ===
Source: spice-gtk
Section: misc
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Build-Depends: 
 debhelper (>= 10), 
 libpixman-1-dev (>= 0.17.7),
 libssl-dev,
 libgtk-3-dev,
 libglib2.0-dev (>= 2.46),
 libcairo2-dev (>= 1.2.0),
 libpulse-dev,
 libusb-1.0-0-dev (>= 2:1.0.16),
 valac (>= 0.18),
 python-all,
 python-six,
 python-pyparsing,
 libsasl2-dev,
 libjpeg-dev,
 gobject-introspection,
 libgirepository1.0-dev,
 gir1.2-gtk-2.0,
 libtext-csv-perl,
 libusbredirhost-dev (>= 0.6),
 libacl1-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 dpkg-dev (>= 1.16.1~),
 libdbus-glib-1-dev,
 libopus-dev,
 libsoup2.4-dev,
 gtk-doc-tools (>= 1.14),
 liblz4-dev,
 libcacard-dev (>= 0.1.2),
 libspice-protocol-dev (>= 0.12.14),
 libphodav-2.0-dev, 
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 gettext,
 libepoxy-dev,
Standards-Version: 4.2.1
Homepage: http://www.spice-space.org/
Vcs-Git: https://salsa.debian.org/debian/spice-gtk.git
Vcs-Browser: https://salsa.debian.org/debian/spice-gtk

Package: spice-client-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libspice-client-glib-2.0-8 (= ${binary:Version}), 
 libspice-client-gtk-3.0-5 (= ${binary:Version}),
 libusbredirhost1 (>= 0.6),
 libusbredirparser1 (>= 0.6)
Description: Simple clients for interacting with SPICE servers
 Simple clients for interacting with SPICE servers. This package
 includes:
 .
 spicy - GTK+ based SPICE client tool
 spicy-screenshot - SPICE screen-shot capture tool
 spicy-stats - SPICE connection details display tool

Package: spice-client-glib-usb-acl-helper
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces: libspice-client-glib-2.0-8 (<< 0.20-0nocelt1), libspice-client-glib-2.0-1
Breaks: libspice-client-glib-2.0-8 (<< 0.20-0nocelt1), libspice-client-glib-2.0-1
Description: Helper tool to validate usb ACLs
 When passthrough USB devices to VMs, spice-client-glib-usb-acl-helper
 is called to validate usb ACLs via policykit policy

Package: libspice-client-glib-2.0-8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, spice-client-glib-usb-acl-helper
Suggests: gstreamer1.0-plugins-bad,gstreamer1.0-plugins-base, 
 gstreamer1.0-plugins-good, gstreamer1.0-libav
Breaks: virt-viewer (<< 7.0)
Description: GObject for communicating with Spice servers (runtime library)
 libspice-glib4 provides glib objects for spice protocol 
 decoding and surface rendering
 .
 This package provide the runtime library.

Package: gir1.2-spiceclientglib-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${gir:Depends}
Breaks: gir1.2-spice-client-glib-2.0 (<< 0.34)
Description: GObject for communicating with Spice servers (GObject-Introspection)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-glib-2.0-dev
Section: libdevel
Architecture: any
Depends: libspice-client-glib-2.0-8 (= ${binary:Version}), 
 gir1.2-spiceclientglib-2.0 (= ${binary:Version}), 
 libpixman-1-dev (>= 0.17.7),
 libspice-protocol-dev (>= 0.12.14),
 libssl-dev,
 ${misc:Depends}
Description: GObject for communicating with Spice servers (development files)
 libspice-glib4 provides glib objects for spice protocol 
 decoding and surface rendering
 .
 This package provide the development headers.

Package: libspice-client-gtk-3.0-5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK3 widget for SPICE clients (runtime library)
 libspice-gtk3 provides gtk3 widget to show spice display 
 and accept user input.
 .
 This package provide the runtime library.

Package: gir1.2-spiceclientgtk-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${gir:Depends}
Breaks: gir1.2-spice-client-gtk-3.0 (<< 0.34)
Description: GTK3 widget for SPICE clients (GObject-Introspection)
 libspice-gtk3 provides gtk3 widget to show spice display 
 and accept user input.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-gtk-3.0-dev
Section: libdevel
Architecture: any
Depends: libspice-client-gtk-3.0-5 (= ${binary:Version}), 
 gir1.2-spiceclientgtk-3.0 (= ${binary:Version}), 
 libgtk-3-dev (>= 2.91.3),
 libspice-client-glib-2.0-dev,
 ${misc:Depends}
Description: GTK3 widget for SPICE clients (development files)
 libspice-gtk3 provides gtk3 widget to show spice display 
 and accept user input.
 .
 This package provide the development headers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
                --enable-smartcard=yes --with-gtk=3.0 --disable-static \
                --enable-introspection --enable-vala --disable-celt051 \
                --enable-usbredir=yes --enable-polkit=yes --enable-dbus=yes \
                --enable-lz4=yes --enable-python-checks \
                --with-usb-acl-helper-dir=/usr/lib/spice-gtk

=== debian/watch ===
version=3
https://www.spice-space.org/download/gtk/spice-gtk-(\d.*).tar.bz2

## spice-gtk 0.37

=== meson_options.txt ===
option('gtk',
    type : 'feature',
    description: 'Enable gtk+')

option('webdav',
    type : 'feature',
    description: 'Enable webdav support')

option('pulse',
    type : 'feature',
    description: 'Enable the PulseAudio backend')

option('builtin-mjpeg',
    type : 'boolean',
    value : true,
    description : 'Enable the builtin mjpeg video decoder')

option('usbredir',
    type : 'feature',
    description : 'Enable usbredir support')

option('polkit',
    type : 'feature',
    description : 'Enable PolicyKit support for the USB acl helper')

option('pie',
    type : 'boolean',
    value : true,
    description : 'Enable position-independent-executable support for the USB acl helper')

option('usb-acl-helper-dir',
    type : 'string',
    value : '',
    description : 'Directory where the USB ACL helper binary should be installed')

option('usb-ids-path',
    type : 'string',
    value : '',
    description : 'Specify the path to usb.ids')

option('coroutine',
    type : 'combo',
    value : 'auto',
    choices : ['auto', 'ucontext', 'gthread', 'winfiber'],
    description : 'Use ucontext or GThread for coroutines')

option('introspection',
    type : 'feature',
    description: 'Check for GObject instrospection requirements')

option('vapi',
    type : 'feature',
    description: 'Check for vala requirements')

option('alignment-checks',
    type : 'boolean',
    value : false,
    description : 'Enable runtime checks for cast alignment')

option('lz4',
    type : 'feature',
    description: 'Enable lz4 compression support')

option('sasl',
    type : 'feature',
    description : 'Use cyrus SASL authentication')

option('celt051',
    type : 'feature',
    description: 'Enable celt051 audio codec')

option('opus',
    type : 'feature',
    description: 'Enable Opus audio codec')

option('smartcard',
    type : 'feature',
    description : 'Enable smartcard support')

option('gtk_doc',
       type : 'feature',
       description : 'Generate API documentation with gtk-doc')

option('recorder',
    type : 'boolean',
    value : false,
    description: 'Enable recorder instrumentation')

=== debian/changelog ===
spice-gtk (0.37-2fakesync1) focal; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Apr 2020 10:56:44 -0400

spice-gtk (0.37-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Mark the -dev packages as Multi-Arch: same
  * debian/control: libva-dev is only available on linux architectures
  * debian/control: Remove obsolete Breaks/Replaces
  * debian/copyright: Fix the path for the spice-common files
  * debian/control: Add libdrm-dev to the build-dependencies (Closes: #952097)
  * debian/control: Switch form python(2) to python3 (Closes: #938549)
  * debian/control: Bump debhelper compatibility to 12
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/rules: Set usb-ids-path to /usr/share/misc/usb.ids
  * debian/rules: (Re)Generate the documentation during the build, add
    gstreamer1.0-doc, libglib2.0-doc and libgdk-pixbuf2.0-doc to the builddeps

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Mar 2020 22:48:10 +0100

spice-gtk (0.37-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Laurent Bigonville ]
  * Enable upstream tarball signature verification
  * New upstream version 0.37
    - Initial German translation (Closes: #872283)
  * debian/control: Adjust the {build-}dependencies
  * debian/patches/: Drop all the patches, they were merged upstream
  * debian/libspice-client-glib-2.0-8.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/*.symbols: Add the Build-Depends-Package field

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 Aug 2019 17:01:10 +0200

=== debian/control ===
Source: spice-gtk
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
Build-Depends: debhelper-compat (= 12),
               gettext,
               gobject-introspection,
               gstreamer1.0-doc,
               gtk-doc-tools (>= 1.14),
               libacl1-dev,
               libcacard-dev (>= 0.1.2),
               libcairo2-dev (>= 1.2.0),
               libdrm-dev,
               libepoxy-dev,
               libgdk-pixbuf2.0-doc,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.46),
               libglib2.0-doc,
               libgstreamer-plugins-base1.0-dev (>= 1.10),
               libgstreamer1.0-dev (>= 1.10),
               libgtk-3-dev (>= 3.22),
               libjpeg-dev,
               libjson-glib-dev,
               liblz4-dev,
               libopus-dev,
               libphodav-2.0-dev,
               libpixman-1-dev (>= 0.17.7),
               libpolkit-agent-1-dev,
               libpolkit-gobject-1-dev,
               libpulse-dev,
               libsasl2-dev,
               libsoup2.4-dev,
               libspice-protocol-dev (>= 0.12.15),
               libssl-dev,
               libtext-csv-perl,
               libusb-1.0-0-dev (>= 2:1.0.16),
               libusbredirhost-dev (>= 0.7.1),
               libva-dev [linux-any],
               python3-pyparsing,
               python3-six,
               python3:any,
               valac (>= 0.18)
Standards-Version: 4.5.0
Homepage: http://www.spice-space.org/
Vcs-Git: https://salsa.debian.org/debian/spice-gtk.git
Vcs-Browser: https://salsa.debian.org/debian/spice-gtk

Package: spice-client-gtk
Architecture: any
Depends: libspice-client-glib-2.0-8 (= ${binary:Version}),
         libspice-client-gtk-3.0-5 (= ${binary:Version}),
         libusbredirhost1 (>= 0.7.1),
         libusbredirparser1 (>= 0.7.1),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple clients for interacting with SPICE servers
 Simple clients for interacting with SPICE servers. This package
 includes:
 .
 spicy - GTK+ based SPICE client tool
 spicy-screenshot - SPICE screen-shot capture tool
 spicy-stats - SPICE connection details display tool

Package: spice-client-glib-usb-acl-helper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Helper tool to validate usb ACLs
 When passthrough USB devices to VMs, spice-client-glib-usb-acl-helper
 is called to validate usb ACLs via policykit policy

Package: libspice-client-glib-2.0-8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: spice-client-glib-usb-acl-helper,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gstreamer1.0-libav,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good
Breaks: virt-viewer (<< 7.0)
Description: GObject for communicating with Spice servers (runtime library)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package provide the runtime library.

Package: gir1.2-spiceclientglib-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}
Breaks: gir1.2-spice-client-glib-2.0 (<< 0.34)
Description: GObject for communicating with Spice servers (GObject-Introspection)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-glib-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-spiceclientglib-2.0 (= ${binary:Version}),
         libpixman-1-dev (>= 0.17.7),
         libspice-client-glib-2.0-8 (= ${binary:Version}),
         libspice-protocol-dev (>= 0.12.15),
         libssl-dev,
         ${misc:Depends}
Description: GObject for communicating with Spice servers (development files)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package provide the development headers.

Package: libspice-client-gtk-3.0-5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK3 widget for SPICE clients (runtime library)
 libspice-gtk3 provides gtk3 widget to show spice display
 and accept user input.
 .
 This package provide the runtime library.

Package: gir1.2-spiceclientgtk-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Breaks: gir1.2-spice-client-gtk-3.0 (<< 0.34)
Description: GTK3 widget for SPICE clients (GObject-Introspection)
 libspice-gtk3 provides gtk3 widget to show spice display
 and accept user input.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-gtk-3.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-spiceclientgtk-3.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.22),
         libspice-client-glib-2.0-dev,
         libspice-client-gtk-3.0-5 (= ${binary:Version}),
         ${misc:Depends}
Description: GTK3 widget for SPICE clients (development files)
 libspice-gtk3 provides gtk3 widget to show spice display
 and accept user input.
 .
 This package provide the development headers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
                --enable-smartcard=yes --with-gtk=3.0 --disable-static \
                --enable-introspection --enable-vala --disable-celt051 \
                --enable-usbredir=yes --enable-polkit=yes --enable-dbus=yes \
                --enable-lz4=yes --enable-python-checks --enable-gtk-doc \
                --with-usb-acl-helper-dir=/usr/lib/spice-gtk \
                --with-usb-ids-path=/usr/share/misc/usb.ids

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.spice-space.org/download/gtk/spice-gtk-(\d.*).tar.bz2

## spice-gtk 0.38

=== debian/changelog ===
spice-gtk (0.38-2ubuntu1) groovy; urgency=medium

  * debian/control:
    - don't Build-Depends on the gstreamer1.0-doc NBS binary
      (Closes: #970730)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2020 12:14:48 +0200

spice-gtk (0.38-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop libdrm-dev build-dependency, not needed anymore
  * d/p/Do-not-build-USB-redirection-on-big-endian-machines.patch: Do not
    build USB redirection on big endian machines usbredir only supports little
    endian, using on big endian machine won't work causing crashes.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Apr 2020 19:10:00 +0200

spice-gtk (0.38-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (LP: #1873693)
    - Switch to meson buildsystem
    - Bump spice-protocol to 0.14.1 and libusb to 1.0.21
    - debian/libspice-client-glib-2.0-8.symbols: Add newly exported symbols
  * debian/gbp.conf: Enable pristine-tar
  * Stop using dpkg-statoverride in the postinst script to set setuid on
    spice-client-glib-usb-acl-helper executable do it during the build of the
    package, a local user can still use it to override the permissions.
    Add a lintian override accordingly
  * Move spice-client-glib-usb-acl-helper to /usr/libexec
  * debian/watch: Update the URL to match the .xz tarballs
  * debian/rules: Remove the "private" requirements from the pkg-config files,
    these are not needed as we don't have a static library. Also adjust the
    dependencies of the -dev packages

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Apr 2020 15:44:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gettext,
                gobject-introspection,
-               gstreamer1.0-doc,
                gtk-doc-tools (>= 1.14),
                libacl1-dev,
                libcacard-dev (>= 0.1.2),
                libcairo2-dev (>= 1.2.0),
-               libdrm-dev,
                libepoxy-dev,
                libgdk-pixbuf2.0-doc,
                libgirepository1.0-dev,
@@ -31,12 +28,14 @@
                libpulse-dev,
                libsasl2-dev,
                libsoup2.4-dev,
-               libspice-protocol-dev (>= 0.12.15),
+               libspice-protocol-dev (>= 0.14.1),
                libssl-dev,
                libtext-csv-perl,
-               libusb-1.0-0-dev (>= 2:1.0.16),
+               libusb-1.0-0-dev (>= 2:1.0.21),
                libusbredirhost-dev (>= 0.7.1),
                libva-dev [linux-any],
+               meson (>= 0.49),
+               pkg-config,
                python3-pyparsing,
                python3-six,
                python3:any,
@@ -66,6 +65,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libspice-client-glib-2.0-8 (<< 0.37-3~)
 Description: Helper tool to validate usb ACLs
  When passthrough USB devices to VMs, spice-client-glib-usb-acl-helper
  is called to validate usb ACLs via policykit policy
@@ -75,7 +75,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: spice-client-glib-usb-acl-helper,
+Depends: spice-client-glib-usb-acl-helper (= ${binary:Version}),
          usb.ids,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -108,10 +108,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-spiceclientglib-2.0 (= ${binary:Version}),
-         libpixman-1-dev (>= 0.17.7),
+         libglib2.0-dev (>= 2.46),
          libspice-client-glib-2.0-8 (= ${binary:Version}),
-         libspice-protocol-dev (>= 0.12.15),
-         libssl-dev,
+         libspice-protocol-dev (>= 0.14.1),
          ${misc:Depends}
 Description: GObject for communicating with Spice servers (development files)
  libspice-glib4 provides glib objects for spice protocol
@@ -148,8 +147,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-spiceclientgtk-3.0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.46),
          libgtk-3-dev (>= 3.22),
-         libspice-client-glib-2.0-dev,
+         libspice-client-glib-2.0-dev (= ${binary:Version}),
          libspice-client-gtk-3.0-5 (= ${binary:Version}),
          ${misc:Depends}
 Description: GTK3 widget for SPICE clients (development files)

## spice-gtk 0.39

=== meson_options.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
     type : 'feature',
     description: 'Enable gtk+')
 
+option('wayland-protocols',
+    type : 'feature',
+    description: 'Enable wayland protocols')
+
 option('webdav',
     type : 'feature',
     description: 'Enable webdav support')
-
-option('pulse',
-    type : 'feature',
-    description: 'Enable the PulseAudio backend')
 
 option('builtin-mjpeg',
     type : 'boolean',
@@ -18,6 +18,10 @@
 option('usbredir',
     type : 'feature',
     description : 'Enable usbredir support')
+
+option('libcap-ng',
+       type : 'feature',
+       description: 'Enable libcap-ng support for the USB acl helper')
 
 option('polkit',
     type : 'feature',
@@ -65,10 +69,6 @@
     type : 'feature',
     description : 'Use cyrus SASL authentication')
 
-option('celt051',
-    type : 'feature',
-    description: 'Enable celt051 audio codec')
-
 option('opus',
     type : 'feature',
     description: 'Enable Opus audio codec')
@@ -85,3 +85,8 @@
     type : 'boolean',
     value : false,
     description: 'Enable recorder instrumentation')
+
+option('valgrind',
+    type : 'boolean',
+    value : false,
+    description : 'Enable Valgrind support')

=== subprojects/spice-common/common/recorder/Makefile ===
# ******************************************************************************
# Makefile                                                      Recorder project
# ******************************************************************************
#
# File description:
#
#     The top-level makefile for Recorder, a non-blocking flight recorder
#     for C or C++ programs
#
#
#
#
#
#
# ******************************************************************************
# This software is licensed under the GNU Lesser General Public License v2+
# (C) 2017-2019, Christophe de Dinechin <christophe@dinechin.org>
# ******************************************************************************
# This file is part of Recorder
#
# Recorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Recorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Recorder, in a file named COPYING.
# If not, see <https://www.gnu.org/licenses/>.
# ******************************************************************************

SOURCES=recorder_ring.c recorder.c
HEADERS=recorder_ring.h recorder.h
PRODUCTS=recorder.dll
PRODUCTS_VERSION=$(PACKAGE_VERSION)
CONFIG=sigaction <regex.h> <sys/mman.h> drand48 libregex setlinebuf
MANPAGES=$(wildcard man/man3/*.3 man/man1/*.1)

# For pkg-config generation
PACKAGE_NAME=recorder
PACKAGE_VERSION=1.0.8
PACKAGE_DESCRIPTION=Lock-free, real-time flight recorder for C or C++ programs
PACKAGE_URL="http://github.com/c3d/recorder"
PACKAGE_REQUIRES=
PACKAGE_BUGS=christophe@dinechin.org

TESTS=  hanoi_test.c recorder_test.c ring_test.c crash_test.c
TEST_ARGS_hanoi_test=20 2>&1| grep "End fast recording Hanoi with 20 iterations"
TEST_ARGS_crash_test= | grep "Signal handler for 11 called"

MIQ=make-it-quick/
-include config.local-setup.mk
LDFLAGS+= -lm -lpthread
include $(MIQ)rules.mk

$(MIQ)rules.mk:
	git submodule update --init --recursive

MAKEOVERRIDES:=
scope: scope/Makefile
scope: .ALWAYS
	cd scope && make
scope/Makefile:
	cd scope && qmake
.install: $(DO_INSTALL=scope/recorder_scope.$(DO_INSTALL)_exe)
scope/recorder_scope.$(DO_INSTALL)_exe: scope

=== subprojects/spice-common/common/recorder/make-it-quick/Makefile ===
# ******************************************************************************
# Makefile                                                 make-it-quick project
# ******************************************************************************
#
# File description:
#
#    Top-level makefile for 'make-it-quick'
#
#
#
#
#
#
#
#
# ******************************************************************************
# This software is licensed under the GNU General Public License v3
# (C) 2017-2019, Christophe de Dinechin <christophe@dinechin.org>
# ******************************************************************************
# This file is part of make-it-quick
#
# make-it-quick is free software: you can r redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# make-it-quick is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with make-it-quick, in a file named COPYING.
# If not, see <https://www.gnu.org/licenses/>.
# ******************************************************************************

# Package description
PACKAGE_NAME=make-it-quick
PACKAGE_DESCRIPTION=A simple auto-configuring build system for C and C++ programs
PACKAGE_URL=http://github.com/c3d/make-it-quick

# Things to install
HDR_INSTALL=			\
	rules.mk		\
	config.mk		\
	$(wildcard config.*.mk)	\
	$(MIQ_OBJDIR)config.system-setup.mk

PREFIX_CONFIG=$(PREFIX_SHR)$(PACKAGE_DIR)config/
PACKAGE_INSTALL_LIB=$(DESTDIR)$(PREFIX_CONFIG)
LIB_INSTALL=$(wildcard config/check*.c)
DOC_INSTALL= README.md AUTHORS NEWS
TESTS=example/

# Make sure we generate the config.system
MIQ_MAKEFILE_INSTALL=yes

MIQ=./
-include configured.mk
include $(MIQ)rules.mk

# Install the check*.c files as data
INSTALL_LIB=$(INSTALL_DATA)

# Generation of the system setup file
SYSTEM_SETUP=							\
$(SYSCONFIG:%=SYSCONFIG?="$(SYSCONFIG)")			\
$(PREFIX:%=PREFIX?="$(PREFIX)")					\
$(PREFIX_BIN:%=PREFIX_BIN?="$(PREFIX_BIN)")			\
$(PREFIX_SBIN:%=PREFIX_SBIN?="$(PREFIX_SBIN)")			\
$(PREFIX_HDR:%=PREFIX_HDR?="$(PREFIX_HDR)")			\
$(PREFIX_SHR:%=PREFIX_SHR?="$(PREFIX_SHR)")			\
$(PREFIX_LIB:%=PREFIX_LIB?="$(PREFIX_LIB)")			\
$(PREFIX_DLL:%=PREFIX_DLL?="$(PREFIX_DLL)")			\
$(PREFIX_LIBEXEC:%=PREFIX_LIBEXEC?="$(PREFIX_LIBEXEC)")		\
$(PREFIX_MAN:%=PREFIX_MAN?="$(PREFIX_MAN)")			\
$(PREFIX_DOC:%=PREFIX_DOC?="$(PREFIX_DOC)")			\
$(PREFIX_VAR:%=PREFIX_VAR?="$(PREFIX_VAR)")			\
CONFIG_SOURCES="$(PREFIX_CONFIG)"

$(MIQ_OBJDIR)config.system-setup.mk:
	$(PRINT_GENERATE) ( $(SYSTEM_SETUP:%=echo %;) true ) > $@

=== subprojects/spice-common/common/recorder/make-it-quick/example/Makefile ===
#******************************************************************************
# Makefile<example>                                      Make-It-Quick project
#******************************************************************************
#
#  File Description:
#
#    A makefile example for the Make-It-Quick project
#
#
#
#
#
#
#
#
#******************************************************************************
# (C) 2017-2018 Christophe de Dinechin <christophe@dinechin.org>
#     This software is licensed under the GNU General Public License v3
#******************************************************************************
#  This file is part of make-it-quick.
#
#  make-it-quick is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Foobar is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with make-it-quick.  If not, see <https://www.gnu.org/licenses/>.
#******************************************************************************

# Define the source code
SOURCES=hello.cpp
SOURCES_world=world.c log-name.c

# Define libraries we use in that project
LIBRARIES=lib1/lib1.dll lib2/lib2.lib

# Define the product of the build (.exe will be removed for Unix builds)
PRODUCTS=hello.exe world.exe

# Define configuration options
CONFIG=	<stdio.h>		\
	<unistd.h>		\
	<nonexistent.h>		\
	<sys/time.h>		\
	<sys/improbable.h> 	\
	<iostream>		\
	clearenv		\
	setlinebuf		\
	libm			\
	liboony			\
	sbrk

# Define what to test
TESTS=product count-characters

# Define what to benchmark
BENCHMARKS=product

# Include the makefile rules
MIQ=../
include $(MIQ)rules.mk

count-characters.test:
	@echo Output has `$(TEST_ENV) $(OBJPRODUCTS) | wc -c` characters, should be 35

=== subprojects/spice-common/common/recorder/make-it-quick/example/lib1/Makefile ===
#******************************************************************************
# Makefile<lib1>                                         Make-It-Quick project
#******************************************************************************
#
#  File Description:
#
#   A simple example to build a small DLL
#
#
#
#
#
#
#
#
#******************************************************************************
# (C) 2017-2018 Christophe de Dinechin <christophe@dinechin.org>
#     This software is licensed under the GNU General Public License v3
#******************************************************************************
#  This file is part of make-it-quick.
#
#  make-it-quick is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Foobar is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with make-it-quick.  If not, see <https://www.gnu.org/licenses/>.
#******************************************************************************

SOURCES=lib1.c
PRODUCTS=lib1.dll

MIQ=../../
include $(MIQ)rules.mk

=== subprojects/spice-common/common/recorder/make-it-quick/example/lib2/Makefile ===
#******************************************************************************
# Makefile<lib2>                                         Make-It-Quick project
#******************************************************************************
#
#  File Description:
#
#    Simple example makefile
#
#
#
#
#
#
#
#
#******************************************************************************
# (C) 2017-2018 Christophe de Dinechin <christophe@dinechin.org>
#     This software is licensed under the GNU General Public License v3
#******************************************************************************
#  This file is part of make-it-quick.
#
#  make-it-quick is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Foobar is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with make-it-quick.  If not, see <https://www.gnu.org/licenses/>.
#******************************************************************************

SOURCES=lib2.c
PRODUCTS=lib2.lib

MIQ=../../
include $(MIQ)rules.mk

=== debian/changelog ===
spice-gtk (0.39-3ubuntu1) jammy; urgency=medium

  * d/rules: remove the -Dcelt051=disabled option as the whole CELT
    support has been removed upstream (Closes #998557)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 01 Dec 2021 11:52:31 +0100

spice-gtk (0.39-3build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:21:40 +0100

spice-gtk (0.39-3) unstable; urgency=medium

  * debian/control: Increased debhelper-compat to 13
  * debian/control: New maintainer
  * debian/control: Specified rules don't require root
  * debian/copyright: Added upstream author
  * debian/copyright: New maintainer
  * debian/libspice-client-glib-2.0-8.symbols: Added 0.39 symbols
  * debian/upstream/metadata: Added upstream metadata

 -- Lin Qigang <lqi254@protonmail.com>  Fri, 24 Sep 2021 23:01:28 +0700

spice-gtk (0.39-2) UNRELEASED; urgency=medium

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 13 Jan 2021 20:17:58 -0000

spice-gtk (0.39-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - don't Build-Depends on the gstreamer1.0-doc NBS binary
      (Closes: #970730)

  [ Paul Gevers ]
  * Set QA group as maintainer
  * New upstream version 0.39
    Fixes CVE-2020-14355 (Closes: #971751)
    Drop patch, applied upstream
  * Update Build-Depends
  * Update copyright years

 -- Paul Gevers <elbrus@debian.org>  Fri, 04 Dec 2020 18:23:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lin Qigang <lqi254@protonmail.com>
+Build-Depends: debhelper-compat (= 13),
                gettext,
                gobject-introspection,
                gtk-doc-tools (>= 1.14),
@@ -12,7 +13,7 @@
                libepoxy-dev,
                libgdk-pixbuf2.0-doc,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.46),
+               libglib2.0-dev,
                libglib2.0-doc,
                libgstreamer-plugins-base1.0-dev (>= 1.10),
                libgstreamer1.0-dev (>= 1.10),
@@ -25,25 +26,25 @@
                libpixman-1-dev (>= 0.17.7),
                libpolkit-agent-1-dev,
                libpolkit-gobject-1-dev,
-               libpulse-dev,
                libsasl2-dev,
                libsoup2.4-dev,
-               libspice-protocol-dev (>= 0.14.1),
+               libspice-protocol-dev (>= 0.14.3),
                libssl-dev,
                libtext-csv-perl,
                libusb-1.0-0-dev (>= 2:1.0.21),
                libusbredirhost-dev (>= 0.7.1),
                libva-dev [linux-any],
-               meson (>= 0.49),
+               meson (>= 0.53),
                pkg-config,
                python3-pyparsing,
                python3-six,
                python3:any,
                valac (>= 0.18)
 Standards-Version: 4.5.0
-Homepage: http://www.spice-space.org/
+Homepage: https://www.spice-space.org/
 Vcs-Git: https://salsa.debian.org/debian/spice-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/spice-gtk
+Rules-Requires-Root: no
 
 Package: spice-client-gtk
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
                -Dsmartcard=enabled -Dgtk=enabled \
                -Dintrospection=enabled -Dvapi=enabled \
                -Dusbredir=enabled -Dpolkit=enabled \
                -Dlz4=enabled -Dgtk_doc=enabled \
                -Dusb-acl-helper-dir=/usr/libexec \
                -Dusb-ids-path=/usr/share/misc/usb.ids

override_dh_auto_install:
	dh_auto_install
# Drop the private requirement as we don't have a static library and it makes
# the dependency list longer
	sed -E -i '/^(Libs|Requires)\.private:/D' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/spice-client-glib-2.0.pc
	sed -E -i '/^(Libs|Requires)\.private:/D' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/spice-client-gtk-3.0.pc

override_dh_fixperms:
	dh_fixperms
	chmod 4755 debian/spice-client-glib-usb-acl-helper/usr/libexec/spice-client-glib-usb-acl-helper

## spice-gtk 0.41

=== meson_options.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 option('coroutine',
     type : 'combo',
     value : 'auto',
-    choices : ['auto', 'ucontext', 'gthread', 'winfiber'],
+    choices : ['auto', 'ucontext', 'libucontext', 'gthread', 'winfiber'],
     description : 'Use ucontext or GThread for coroutines')
 
 option('introspection',

=== debian/changelog ===
spice-gtk (0.41-2) unstable; urgency=medium

  * Build against phodav 3.0
  * Add versioned breaks against old gnome-boxes and virt-viewer
    since they will crash if run against libraries using both libsoup2
    and libsoup3 at the same time
  * Add unversioned breaks against remmina-plugin-spice for now

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 15:53:26 -0400

spice-gtk (0.41-1) unstable; urgency=medium

  * Switch Maintainer to Debian GNOME with previous maintainer's permission
  * New upstream release
  * Drop pyparsing-detection.patch: Applied in new release
  * debian/*.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Jul 2022 13:47:15 +0200

spice-gtk (0.39-3.1) unstable; urgency=medium

  [ Paul Gevers ]
  * Non-maintainer upload
  * Add pyparsing-detection.patch (taken from upstream) to prevent FTBFS

  [ Simon Chopin ]
  * d/rules: remove the -Dcelt051=disabled option as the whole CELT
    support has been removed upstream (Closes: #998557)

 -- Paul Gevers <elbrus@debian.org>  Thu, 05 May 2022 22:15:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: spice-gtk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lin Qigang <lqi254@protonmail.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Lin Qigang <lqi254@protonmail.com>
 Build-Depends: debhelper-compat (= 13),
-               gettext,
-               gobject-introspection,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools (>= 1.14),
                libacl1-dev,
                libcacard-dev (>= 0.1.2),
@@ -22,12 +26,11 @@
                libjson-glib-dev,
                liblz4-dev,
                libopus-dev,
-               libphodav-2.0-dev,
+               libphodav-3.0-dev,
                libpixman-1-dev (>= 0.17.7),
                libpolkit-agent-1-dev,
                libpolkit-gobject-1-dev,
                libsasl2-dev,
-               libsoup2.4-dev,
                libspice-protocol-dev (>= 0.14.3),
                libssl-dev,
                libtext-csv-perl,
@@ -42,8 +45,8 @@
                valac (>= 0.18)
 Standards-Version: 4.5.0
 Homepage: https://www.spice-space.org/
-Vcs-Git: https://salsa.debian.org/debian/spice-gtk.git
-Vcs-Browser: https://salsa.debian.org/debian/spice-gtk
+Vcs-Git: https://salsa.debian.org/gnome-team/spice-gtk.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/spice-gtk
 Rules-Requires-Root: no
 
 Package: spice-client-gtk
@@ -84,7 +87,9 @@
           gstreamer1.0-plugins-bad,
           gstreamer1.0-plugins-base,
           gstreamer1.0-plugins-good
-Breaks: virt-viewer (<< 7.0)
+Breaks: virt-viewer (<< 11.0-2~),
+        gnome-boxes (<< 42.3),
+        remmina-plugin-spice,
 Description: GObject for communicating with Spice servers (runtime library)
  libspice-glib4 provides glib objects for spice protocol
  decoding and surface rendering

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dwebdav=enabled \
                -Dsmartcard=enabled -Dgtk=enabled \
                -Dintrospection=enabled -Dvapi=enabled \
                -Dusbredir=enabled -Dpolkit=enabled \
                -Dlz4=enabled -Dgtk_doc=enabled \
                -Dusb-acl-helper-dir=/usr/libexec \
                -Dusb-ids-path=/usr/share/misc/usb.ids

execute_after_dh_auto_install:
# Drop the private requirement as we don't have a static library and it makes
# the dependency list longer
	sed -E -i '/^(Libs|Requires)\.private:/D' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/spice-client-glib-2.0.pc
	sed -E -i '/^(Libs|Requires)\.private:/D' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/spice-client-gtk-3.0.pc

execute_after_dh_fixperms:
	chmod 4755 debian/spice-client-glib-usb-acl-helper/usr/libexec/spice-client-glib-usb-acl-helper
